buildroot/package/minidlna/S60minidlnad
Benoît Thébaudeau 2e08c3ac60 package/minidlna/S60minidlnad: add force-reload to rebuild DB
Add a force-reload operation that restarts minidlnad and makes it
rebuild its database. This is what Debian does, and this is useful when
media_dir is changed in the configuration file or when inotify can not
detect changes inside the media directories (e.g. in case of a mount).

Signed-off-by: Benoît Thébaudeau <benoit@wsystem.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2015-11-28 19:02:51 +01:00

44 lines
667 B
Bash

#!/bin/sh
#
# minidlnad Starts minidlnad.
#
start() {
printf "Starting minidlna: "
umask 077
start-stop-daemon -S -q -p /var/run/minidlna/minidlna.pid \
--exec /usr/sbin/minidlnad -- "$@"
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping minidlna: "
start-stop-daemon -K -q -p /var/run/minidlna/minidlna.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
# Sleep needed for minidlna to restart properly
sleep 1
start "$@"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
force-reload)
restart -R
;;
*)
echo "Usage: $0 {start|stop|restart|force-reload}"
exit 1
esac
exit $?